Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Update a specific cause by id
cURL
curl --request PUT \ --url https://api.rootly.com/v1/causes/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/vnd.api+json' \ --data ' { "data": { "attributes": { "name": "<string>", "description": "<string>", "position": 123, "properties": [ { "catalog_property_id": "<string>", "value": "<string>" } ] } } } '
{ "data": { "id": "<string>", "attributes": { "name": "<string>", "created_at": "<string>", "updated_at": "<string>", "slug": "<string>", "description": "<string>", "position": 123, "properties": [ { "catalog_property_id": "<string>", "value": "<string>" } ] } } }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Resource UUID
Show child attributes
cause updated
Was this page helpful?
Contact support